Przejdź do treści
Inbox
GET/inbox/conversations

List conversations

Retrieves workspace conversations with optional filters and cursor pagination.

Operation contract

Scopes, schemas, errors and safe retry rules.

Read operation

Required scopes

conversations:read

Request body

None

Responses

200, 401, 429

Docs link

/api-docs/inbox/listConversations

Use `X-Request-ID` from responses when debugging. For write requests, set an `Idempotency-Key` so retries cannot duplicate messages, leads, runs or webhook replay actions.

Code examples

Full Scalar schema

cURL

curl https://api.darhimlabs.pl/api/v2/inbox/conversations \
  -H "Authorization: Bearer $DARHIMLABS_API_KEY"

Node.js

import { DarhimLabs } from "@darhimlabs/node";
const client = new DarhimLabs(process.env.DARHIMLABS_API_KEY);
const { data } = await client.inbox.conversations.list({ status: "open" });

Python

from darhimlabs import DarhimLabs
client = DarhimLabs(api_key=os.environ["DARHIMLABS_API_KEY"])
page = client.inbox.conversations.list(status="open")

PHP

$client = new DarhimLabs\Client(["api_key" => $_ENV["DARHIMLABS_API_KEY"]]);
$page = $client->inbox->conversations->list(["status" => "open"]);

Ruby

client = DarhimLabs::Client.new(api_key: ENV["DARHIMLABS_API_KEY"])
client.inbox.conversations.list(status: "open")